#!/bin/bash

###
# Update apeman-app-contrib-logger.
###

HERE=$(cd "$(dirname $0)" && pwd)
BASE_DIR=$(cd "${HERE}/.." && pwd)

cd ${BASE_DIR}

# Re-install dependencies.
npm uninstall argx async db-migrate execcli glob morgan objnest serve-static  --save
npm install argx async db-migrate execcli glob morgan objnest serve-static  --save

# Re-install dev dependencies.
npm uninstall apeman-dev-commons-coveraging apeman-dev-commons-releasing apeman-dev-commons-reporting apeman-dev-commons-testing apeman-tmpl-contrib-official injectmock mkdirp  --save-dev
npm install apeman-dev-commons-coveraging apeman-dev-commons-releasing apeman-dev-commons-reporting apeman-dev-commons-testing apeman-tmpl-contrib-official injectmock mkdirp  --save-dev
