/**
 * @file Define apeman-app-contrib-logger app.
 */

"use strict";

var argx = require('argx'),
    morgan = require('morgan'),
    pkg = require('./package.json'),
    objnest = require('objnest');

/** @lends apemanAppContribLogger */
function apemanAppContribLogger(format, options) {
    var args = argx(arguments);
    format = args.shift('string') || 'common';
    options = objnest.expand(args.pop('object') || {});

    /** Defined app */
    return morgan(format, options);
}

module.exports = apemanAppContribLogger;
